export const TEST_CURRENT_TIME_RANGE = {
    start: 1582560900000,
    end: 1600620300000
};

export const TEST_COMPARE_TIME_RANGE = {
    start: 1339621064000,
    end: 1371157064000
};

export const TEST_PRIMARY_IV_DATA = {
    parameter: {
        parameterCode: '72019',
        name: 'Depth to water level',
        description: 'Depth to water level, feet',
        unit: 'ft'
    },
    values: {
        '90649': {
            points: [
                {value: '24.2', qualifiers: ['A'], dateTime: 1582560900000},
                {value: '24.1', qualifiers: ['A'], dateTime: 1582561800000},
                {value: null, qualifiers: ['A', 'ICE'], dateTime: 1582562700000},
                {value: null, qualifiers: ['A', 'ICE'], dateTime: 1582569900000},
                {value: '25.2', qualifiers: ['E'], dateTime: 1582570800000},
                {value: '25.4', qualifiers: ['E'], dateTime: 1600617600000},
                {value: '25.6', qualifiers: ['E'], dateTime: 1600618500000},
                {value: '26.5', qualifiers: ['P'], dateTime: 1600619400000},
                {value: '25.9', qualifiers: ['P'], dateTime: 1600620300000}
            ],
            method: {
                methodID: '90649',
                methodDescription: '90649 method description'
            }
        },
        '252055': {
            points: [],
            method: {
                methodDescription: 'From multiparameter sonde',
                methodID: '252055'
            }
        }
    }
};

export const TEST_SECONDARY_IV_DATA = {
    parameter: {
        parameterCode: '00065',
        name: 'Gage height, ft',
        description: 'Gage height, feet',
        unit: 'ft'
    },
    values: {
        '57465': {
            points: [
                {value: '3', qualifiers: ['A'], dateTime: 1582560900000},
                {value: '3.2', qualifiers: ['A'], dateTime: 1582561800000},
                {value: null, qualifiers: ['A', 'ICE'], dateTime: 1582562700000},
                {value: null, qualifiers: ['A', 'ICE'], dateTime: 1582569900000},
                {value: '4', qualifiers: ['E'], dateTime: 1582570800000},
                {value: '5.8', qualifiers: ['E'], dateTime: 1600617600000},
                {value: '7', qualifiers: ['E'], dateTime: 1600618500000},
                {value: '6.5', qualifiers: ['P'], dateTime: 1600619400000},
                {value: '5.9', qualifiers: ['P'], dateTime: 1600620300000}
            ],
            method: {
                methodID: '57465',
                methodDescription: ''
            }
        },
        '69929': {
            points: [
                {value: '3', qualifiers: ['A'], dateTime: 1582560900000},
                {value: '3.2', qualifiers: ['A'], dateTime: 1582561800000}
            ],
            method: {
                methodID: '69929',
                methodDescription: ''
            }
        }
    }
};

export const TEST_STATS_DATA = {
        '153885': [
            {month_nu: 2, day_nu: 24, p50_va: 16, ts_id: '153885', loc_web_ds: 'Method1', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '273', min_va_yr: '2006', min_va: '55.5', mean_va: '153', p05_va: '', p10_va: '61', p20_va: '88', p25_va: '100',
                p75_va: '224', p80_va: '264', p90_va: '271', p95_va: ''},
            {month_nu: 2, day_nu: 25, p50_va: 16.2, ts_id: '153885', loc_web_ds: 'Method1', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '273', min_va_yr: '2006', min_va: '55.5', mean_va: '153', p05_va: '', p10_va: '61', p20_va: '88', p25_va: '100',
                p75_va: '224', p80_va: '264', p90_va: '271', p95_va: ''},
            {month_nu: 2, day_nu: 26, p50_va: 15.9, ts_id: '153885', loc_web_ds: 'Method1', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '273', min_va_yr: '2006', min_va: '55.5', mean_va: '153', p05_va: '', p10_va: '61', p20_va: '88', p25_va: '100',
                p75_va: '224', p80_va: '264', p90_va: '271', p95_va: ''},
            {month_nu: 2, day_nu: 27, p50_va: 16.3, ts_id: '153885', loc_web_ds: 'Method1', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '273', min_va_yr: '2006', min_va: '55.5', mean_va: '153', p05_va: '', p10_va: '61', p20_va: '88', p25_va: '100',
                p75_va: '224', p80_va: '264', p90_va: '271', p95_va: ''},
            {month_nu: 2, day_nu: 28, p50_va: 16.4, ts_id: '153885', loc_web_ds: 'Method1', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '273', min_va_yr: '2006', min_va: '55.5', mean_va: '153', p05_va: '', p10_va: '61', p20_va: '88', p25_va: '100',
                p75_va: '224', p80_va: '264', p90_va: '271', p95_va: ''}
            ],
        '90649': [
            {month_nu: 2, day_nu: 24, p50_va: 160, ts_id: '90649', loc_web_ds: 'Method2', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '2730', min_va_yr: '2006', min_va: '550.5', mean_va: '1530', p05_va: '', p10_va: '610', p20_va: '880', p25_va: '1000',
                p75_va: '2240', p80_va: '2640', p90_va: '2710', p95_va: ''},
            {month_nu: 2, day_nu: 25, p50_va: 160.2, ts_id: '90649', loc_web_ds: 'Method2', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '2730', min_va_yr: '2006', min_va: '550.5', mean_va: '1530', p05_va: '', p10_va: '610', p20_va: '880', p25_va: '1000',
                p75_va: '2240', p80_va: '2640', p90_va: '2710', p95_va: ''},
            {month_nu: 2, day_nu: 26, p50_va: 150.9, ts_id: '90649', loc_web_ds: 'Method2', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '2730', min_va_yr: '2006', min_va: '550.5', mean_va: '1530', p05_va: '', p10_va: '610', p20_va: '880', p25_va: '1000',
                p75_va: '2240', p80_va: '2640', p90_va: '2710', p95_va: ''},
            {month_nu: 2, day_nu: 27, p50_va: 160.3, ts_id: '90649', loc_web_ds: 'Method2', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '2730', min_va_yr: '2006', min_va: '550.5', mean_va: '1530', p05_va: '', p10_va: '610', p20_va: '880', p25_va: '1000',
                p75_va: '2240', p80_va: '2640', p90_va: '2710', p95_va: ''},
            {month_nu: 2, day_nu: 28, p50_va: 160.4, ts_id: '90649', loc_web_ds: 'Method2', begin_yr: '2011', end_yr: '2020', max_va_yr: '2020',
                max_va: '2730', min_va_yr: '2006', min_va: '550.5', mean_va: '1530', p05_va: '', p10_va: '610', p20_va: '880', p25_va: '1000',
                p75_va: '2240', p80_va: '2640', p90_va: '2710', p95_va: ''}
            ]
    };

export const TEST_GW_LEVELS = {
    USGSParameterCode: '72019',
    observedPropertyName: 'Depth to water level',
    observations: [
        {
            result: '27.2',
            resultAccuracy: '0.01',
            phenomenonTimeAccuracy: 'minute',
            approvals: ['Provisional'],
            qualifiers: ['Static'],
            epochTime: 1582560900000
        },
        {
            result: '26.9',
            resultAccuracy: '0.01',
            phenomenonTimeAccuracy: 'minute',
            approvals: ['Approved'],
            qualifiers: ['Static'],
            epochTime: 1582562700000
        },
        {
            result: '26.1',
            resultAccuracy: '0.01',
            phenomenonTimeAccuracy: 'minute',
            approvals: ['Approved'],
            qualifiers: ['Static'],
            epochTime: 1582570800000
        },
        {
            result: '26.5',
            resultAccuracy: '0.01',
            phenomenonTimeAccuracy: 'minute',
            approvals: ['Revised'],
            qualifiers: ['Static'],
            epochTime: 1600619400000
        }
    ]
};

export const TEST_HYDROGRAPH_PARAMETERS = {
    '00060': {
        parameterCode: '00060',
        name: 'Streamflow, ft3/s',
        description: 'Discharge, cubic feet per second',
        unit: 'ft3/s',
        hasIVData: true,
        latestValue: '123'
    },
    '00010': {
        parameterCode: '00010',
        name: 'Temperature, water, C',
        description: 'Temperature, water, degrees Celsius',
        unit: 'deg C',
        hasIVData: true,
        latestValue: '123'
    },
    '00010F': {
        parameterCode: '00010F',
        name: 'Temperature, water, F',
        description: 'Temperature, water, degrees Fahrenheit',
        unit: 'deg F',
        hasIVData: true,
        latestValue: '123'
    },
    '72019': {
        parameterCode: '72019',
        name: 'Depth to water level, ft below land surface',
        description: 'Depth to water level, feet below land surface',
        unit: 'ft',
        hasIVData: true,
        hasGWLevelsData: true,
        latestValue: '123'
    },
    '62610': {
        parameterCode: '62610',
        name: 'Groundwater level above NGVD 1929, feet',
        description: 'Groundwater level above NGVD 1929, feet',
        unit: 'ft',
        hasGWLevelsData: true,
        latestValue: '123'
    }
};
